Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.management
Class BoundaryStatisticImpl

    java.lang.Object
      org.codehaus.activemq.management.StatisticImpl
          org.codehaus.activemq.management.BoundaryStatisticImpl

All Implemented Interfaces:
  BoundaryStatistic, Resettable, Statistic

public class BoundaryStatisticImpl
extends StatisticImpl
implements BoundaryStatistic

A boundary statistic implementation

Version:
  $Revision: 1.1 $

Constructor Summary
`BoundaryStatisticImpl(java.lang.String name, java.lang.String unit, java.lang.String description, long lowerBound, long upperBound)`

Method Summary
`protected void` | `appendFieldDescription(java.lang.StringBuffer buffer)`
`long` | `getLowerBound()`
`long` | `getUpperBound()`

Methods inherited from class org.codehaus.activemq.management.StatisticImpl
`getDescription, getLastSampleTime, getName, getStartTime, getUnit, reset, toString, updateSampleTime`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface javax.management.j2ee.statistics.Statistic
`getDescription, getLastSampleTime, getName, getStartTime, getUnit`

Constructor Detail

### BoundaryStatisticImpl

    public BoundaryStatisticImpl(java.lang.String name,
                                 java.lang.String unit,
                                 java.lang.String description,
                                 long lowerBound,
                                 long upperBound)

Method Detail

### getLowerBound

    public long getLowerBound()

  Specified by:
    `getLowerBound` in interface `BoundaryStatistic`

### getUpperBound

    public long getUpperBound()

  Specified by:
    `getUpperBound` in interface `BoundaryStatistic`

### appendFieldDescription

    protected void appendFieldDescription(java.lang.StringBuffer buffer)

  Overrides:
    `appendFieldDescription` in class `StatisticImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.